Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.options
Class OptionsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.options.OptionsModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddAccountModel, AddressBookGeneralPreferencesModel, CalendarGeneralPreferencesModel, EditAccountModel, GeneralPreferencesModel, HomePreferencesModel, ImImportModel, ImportFriendsOptionsModel, MailGeneralPreferencesModel, MailSignatureModel, TasksGeneralPreferencesModel

public class OptionsModel
extends AbstractModel
implements java.io.Serializable

This class represents the data model for the options general page (`general.jsp`).

See Also:
  Serialized Form

Constructor Summary
`OptionsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, Accounts accounts)` Constructor.

Method Summary
`OptionsGroup` | `getOptionsGroup()` Gets the options group.
`java.lang.String` | `getRequiredAccountName()` Gets the required account name.
`boolean` | `isAccountRequired()` Gets true if an account is required or false otherwise.
`boolean` | `isDeleteAccountAvailable()` Gets true if the delete account functionality should be available in the user interface or false otherwise.
`void` | `setIsAccountRequired(boolean bIsAccountRequired)` Sets if an account is required.
`void` | `setRequiredAccountName(java.lang.String sRequiredAccountName)` Sets the required account name.

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsModel

    public OptionsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                        FeatureGroup featureGroup,
                        GroupwarePreferences groupwarePrefs,
                        Accounts accounts)

  Constructor.

Parameters:
  `accounts` - the accounts
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)

Method Detail

### getOptionsGroup

    public OptionsGroup getOptionsGroup()

  Gets the options group.

  Returns:
    the options group

### isDeleteAccountAvailable

    public boolean isDeleteAccountAvailable()

  Gets true if the delete account functionality should be available in the user interface or false otherwise.

  Returns:
    `true` if the delete account functionality should be available in the user interface or `false` otherwise

### setRequiredAccountName

    public void setRequiredAccountName(java.lang.String sRequiredAccountName)

  Sets the required account name.

  Parameters:
    `sRequiredAccountName` - the required account name

### getRequiredAccountName

    public java.lang.String getRequiredAccountName()

  Gets the required account name.

  Returns:
    the required account name

### setIsAccountRequired

    public void setIsAccountRequired(boolean bIsAccountRequired)

  Sets if an account is required.

  Parameters:
    `bIsAccountRequired` - the required account name

### isAccountRequired

    public boolean isAccountRequired()

  Gets true if an account is required or false otherwise.

  Returns:
    `true` if an account is required or `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.